import request from '../../utils/request'
/**
 * 获取审批列表
 */
export function getTemplateList(data) {
  return request({
    url: '/WorkFlowManagement/GetTemplateList',
    method: 'post',
    data
  });
}

/**
 * 获取审批启用和停用
 */
export function setTemplate(data) {
  return request({
    url: '/WorkFlowManagement/SetTemplate',
    method: 'post',
    data
  });
}

/**
 *
 */
export function getDefaultCondition(data) {
  return request({
    url: '/WorkFlowManagement/GetDefaultCondition',
    method: 'post',
    data
  });
}

/**
 *
 */
export function getOtherConditionList(data) {
  return request({
    url: '/WorkFlowManagement/GetOtherConditionList',
    method: 'post',
    data
  });
}

/**
 *请假类型
 */
export function getAskForLeaveType(data) {
  return request({
    url: '/WorkFlowManagement/GetAskForLeaveType',
    method: 'post',
    data
  });
}

/**
 *条件审批保存
 */
export function setOtherCondition(data) {
  return request({
    url: '/WorkFlowManagement/SetOtherCondition',
    method: 'post',
    data
  });
}

/**
 *条件审批删除
 */
export function delOtherCondition(data) {
  return request({
    url: '/WorkFlowManagement/DelOtherCondition',
    method: 'post',
    data
  });
}

/**
 *审核的保存
 */
export function setDefaultCondition(data) {
  return request({
    url: '/WorkFlowManagement/SetDefaultCondition',
    method: 'post',
    data
  });
}

/**
 *获取分段流程详情
 */
export function getConditionAndAuditInfo(data) {
  return request({
    url: '/WorkFlowManagement/GetConditionAndAuditInfo',
    method: 'post',
    data
  });
}
/**
 *获取我发起的列表
 */
export function myInitiateAudit(data) {
  return request({
    url: '/workflow/MyInitiateAudit',
    method: 'post',
    data
  });
}
/**
 *获取审核类型
 */
export function gettemplatetype(data) {
  return request({
    url: '/workflow/GetWfTmplateType',
    method: 'post',
    data
  });
}
/**
 *获取审核状态
 */
export function getMyInitiateAuditStatus(data) {
  return request({
    url: '/workflow/GetMyInitiateAuditStatus',
    method: 'post',
    data
  });
}
/**
 *获取发起审批类型
 */
export function auditworkflowTemplate(data) {
  return request({
    url: '/workflow/AuditworkflowTemplate',
    method: 'post',
    data
  });
}
/**
 *
 */
export function getDictValueList(data) {
  return request({
    url: '/usercenter/GetDictValueList',
    method: 'post',
    data
  });
}
/**
 *
 */
export function calculateDuration(data) {
  return request({
    url: '/workflow/CalculateDuration',
    method: 'post',
    data
  });
}
/**
 *考勤管理
 */
export function getAttendancePageList(data) {
  return request({
    url: '/usercenter/GetAttendancePageList',
    method: 'post',
    data
  });
}
/**
 *校区的岗位
 */
export function getDepartmentGetList(data) {
  return request({
    url: '/usercenter/GetDepartmentGetList',
    method: 'post',
    data
  });
}
/**
 *获取当前校区的考勤
 */
export function getAttendanceInfo(data) {
  return request({
    url: '/usercenter/GetAttendanceInfo',
    method: 'post',
    data
  });
}
/**
 *设置当前校区的考勤
 */
export function setAttendanceInfo(data) {
  return request({
    url: '/usercenter/SetAttendanceInfo',
    method: 'post',
    data
  });
}
/**
 *
 */
export function getTimeSpanValue(data) {
  return request({
    url: '/usercenter/GetTimeSpanValue',
    method: 'post',
    data
  });
}

/**
 *审批的获取和发起 根据类型不用的接口名称 第二为接口名称
 */
export function getleaveCmd(data,cmd) {
  return request({
    url: cmd,
    method: 'post',
    data
  });
}
/**
 *我发起 获取详情
 */
export function getAuditInfo(data) {
  return request({
    url: '/workflow/GetAuditInfo',
    method: 'post',
    data
  });
}
/**
 *我发起 撤回
 */
export function undoAudit(data) {
  return request({
    url: '/workflow/UndoAudit',
    method: 'post',
    data
  });
}
/**
 *我发起 同意
 */
export function setConsent(data) {
  return request({
    url: '/workflow/SetConsent',
    method: 'post',
    data
  });
}
/**
 *我发起 不同意
 */
export function setNotConsent(data) {
  return request({
    url: '/workflow/SetNotConsent',
    method: 'post',
    data
  });
}
/**
 *我发起 转交
 */
export function setCareOf(data) {
  return request({
    url: '/workflow/SetCareOf',
    method: 'post',
    data
  });
}
/**
 *抄送 获取列表
 */
export function copyTomyaudit(data) {
  return request({
    url: '/workflow/CopyTomyaudit',
    method: 'post',
    data
  });
}
/**
 *我的审批 获取列表
 */
export function myAudit(data) {
  return request({
    url: '/workflow/MyAudit',
    method: 'post',
    data
  });
}




